"use strict";
function default_1(lines, object) {
    console.log('lines', lines);
    console.log('object', object);
    object.clients = [];
    object.latency = {};
    lines.forEach(function (line) {
        var regexArray = [
            {
                re: /Zookeeper version: (.*), built on (.*)/,
                run: function (mp) {
                    object.zookeeperVersion = mp[1];
                    object.buildDate = mp[2];
                },
            },
            {
                re: / \/(.*):(.*)\(queued=(\d*),recved=(\d*),sent=(\d*)/,
                run: function (mp) {
                    object.clients.push({
                        ip: mp[1],
                        port: mp[2],
                        queued: mp[3],
                        received: mp[4],
                        sent: mp[5],
                    });
                },
            },
            {
                re: /Latency min\/avg\/max: (\d*)\/(\d*)\/(\d*)/,
                run: function (mp) {
                    object.latency.minimum = mp[1];
                    object.latency.average = mp[2];
                    object.latency.maximum = mp[3];
                },
            },
            {
                re: /Received: (\d*)/,
                run: function (mp) {
                    object.reveiced = mp[1];
                },
            },
            {
                re: /Sent: (\d*)/,
                run: function (mp) {
                    object.sent = mp[1];
                },
            },
            {
                re: /Connections: (\d*)/,
                run: function (mp) {
                    object.connections = mp[1];
                },
            },
            {
                re: /Outstanding: (\d*)/,
                run: function (mp) {
                    object.outstanding = mp[1];
                },
            },
            {
                re: /Zxid: (0x\d*)/,
                run: function (mp) {
                    console.log('mp', mp);
                    object.zxid = mp[1];
                },
            },
            {
                re: /Mode: (.*)/,
                run: function (mp) {
                    console.log('mp', mp);
                    object.mode = mp[1];
                },
            },
            {
                re: /Node count: (.*)/,
                run: function (mp) {
                    console.log('mp', mp);
                    object.nodeCount = mp[1];
                },
            },
        ];
        regexArray.forEach(function (extracter) {
            var re = extracter.re;
            var str = line;
            var m;
            if ((m = re.exec(str)) !== null) {
                if (m.index === re.lastIndex) {
                    re.lastIndex++;
                }
                return extracter.run(m);
            }
        });
    });
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
;
//# sourceMappingURL=stat.js.map